Daemon Power

The NetBSD Packages Collection: audio/py-acoustid

Brief description of the package:
Audio fingerprinting

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/sampsyo/pyacoustid.

Please note that this package has a mit license.

The package is located in the "audio/py-acoustid" directory. The current source version of the package is "py37-acoustid-1.1.7". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for audio/py-acoustid :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py37-audioread-[0-9]* py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.8 py37-test-runner-[0-9]* py37-setuptools_scm-[0-9]* py37-toml-[0-9]* py37-test-[0-9]* py37-attrs>=17.4.0 py37-iniconfig-[0-9]* py37-more-itertools>=4.0.0 py37-packaging-[0-9]* py37-pyparsing>=2.0.2 py37-six-[0-9]* py37-pluggy>=0.12 py37-importlib-metadata>=0.12 py37-zipp-[0-9]* py37-setuptools_scm>=1.15.0 py37-py>=1.8.2 py37-requests-[0-9]* py37-OpenSSL>=0.14 py37-cryptography>=2.8 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-certifi>=2017.4.17 py37-chardet>=3.0.2 py37-cryptography>=1.3.4 py37-idna>=2.5 py37-urllib3>=1.12.1 py37-Socks>=1.6.0 py37-certifi-[0-9]* py37-idna>=2.0.0 chromaprint-[0-9]* fftw>=3.0 ffmpeg4>=4.0 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libass>=0.9.12 fribidi>=0.19.0 fribidi>=0.19.1 harfbuzz>=2.1.1 icu>=3.4 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 meson-[0-9]* ninja-build>=1.7 re2c>=0.11.3 graphite2>=1.2 icu>=67.1 glib2>=2.64.0nb1 gtk-doc>=1.18 docbook-xml>=4.4nb1 xmlcatmgr>=2.0beta1 docbook-xsl>=1.68.1 docbook-xml>=4.2 perl>=5.0 py37-anytree-[0-9]* py37-six>=1.9.0 py37-lxml-[0-9]* libxml2>=2.9.2 libxml2>=2.6.2 libxslt>=1.1.27 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.9.10nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.8 libxslt>=1.1.34nb2 py37-pygments-[0-9]* pkgconf-[0-9]* itstool-[0-9]* py37-libxml2-[0-9]* libxml2>=2.9.10 py37-expat>=0 gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 py27-libxslt>=1.1.12 py27-expat-[0-9]* py27-libxml2>=2.6.8 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 py27-libxml2>=2.6.27 libxslt>=1.1.34 python27>=2.7.1nb2 docbook-xml>=4.5 getopt-[0-9]* bash-[0-9]* libxml2>=2.6.12 gtk-doc>=1.32nb2 enca>=1.9 fontconfig>=2.13.0 harfbuzz>=2.6.4nb2 libaom>=1.0.0nb1 nasm>=2.13 libaom>=1.0.0 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* lzo>=2.01 gmp>=5.0 gmp>=4.2.1 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.6 p11-kit>=0.23.15nb1 libunistring>=0.9.4 libtheora>=1.0alpha3 libvorbis>=1.0.1 libogg>=1.1 libogg>=1.1.2nb1 libvorbis>=1.1.0nb1 lame>=3.93.1nb2 libopus>=1.1 speex>=1.2rc1 xvidcore>=1.0.0 x264-devel>=20111207 nasm>=2.13.0 x264-devel>=20180224 x265>=1.1 libvdpau>=0.3 x11-links>=1.31 osabi-NetBSD-9.0_STABLE xorgproto>=2016.1 libva>=2.3.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 libdrm>=2.4.15 Xfixes>=2.0.1nb2 libvpx>=1.6.0 yasm-[0-9]* libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 xcb-proto>=1.4 libbluray>=0.8.1 libass>=0.14.0nb4 gnutls>=3.6.13nb2 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 libbluray>=1.2.0nb1 fftw>=3.1nb1 ffmpeg4>=4.2 .

This package requires the following package(s) to run: py37-audioread-[0-9]* py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python37>=3.7.0 python37>=3.7.8 py37-requests-[0-9]* py37-OpenSSL>=0.14 py37-cryptography>=2.8 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-certifi>=2017.4.17 py37-chardet>=3.0.2 py37-cryptography>=1.3.4 py37-idna>=2.5 py37-urllib3>=1.12.1 py37-Socks>=1.6.0 py37-certifi-[0-9]* py37-idna>=2.0.0 chromaprint-[0-9]* fftw>=3.0 ffmpeg4>=4.0 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libass>=0.9.12 fribidi>=0.19.0 fribidi>=0.19.1 harfbuzz>=2.1.1 icu>=3.4 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 graphite2>=1.2 icu>=67.1 glib2>=2.64.0nb1 enca>=1.9 fontconfig>=2.13.0 harfbuzz>=2.6.4nb2 libaom>=1.0.0nb1 libaom>=1.0.0 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* lzo>=2.01 gmp>=5.0 gmp>=4.2.1 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.6 p11-kit>=0.23.15nb1 libunistring>=0.9.4 libtheora>=1.0alpha3 libvorbis>=1.0.1 libogg>=1.1 libogg>=1.1.2nb1 libvorbis>=1.1.0nb1 lame>=3.93.1nb2 libopus>=1.1 speex>=1.2rc1 xvidcore>=1.0.0 x264-devel>=20111207 x264-devel>=20180224 x265>=1.1 libvdpau>=0.3 libva>=2.3.0 Xfixes>=2.0.0 libdrm>=2.4.15 Xfixes>=2.0.1nb2 libvpx>=1.6.0 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 libbluray>=0.8.1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb2 libass>=0.14.0nb4 gnutls>=3.6.13nb2 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 libbluray>=1.2.0nb1 fftw>=3.1nb1 ffmpeg4>=4.2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
aarch64:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
alpha:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
alpha:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
alpha:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
alpha:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
alpha:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
alpha:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
earm:py27-acoustid-1.0.0.tgz(NetBSD 7.0)
earm:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
earm:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv6hf:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv6hf:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv6hf:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv6hf:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv6hf:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv6hf:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv6hf:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv6hf:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
earmv7hf:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
earmv7hf:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 7.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 7.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 7.0)
i386:py38-acoustid-1.1.7.tgz(NetBSD 7.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 7.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 7.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 7.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py36-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py37-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py27-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py36-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py37-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py38-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py27-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py36-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py37-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py38-acoustid-1.1.7.tgz(NetBSD 7.1)
i386:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
i386:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
powerpc:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
powerpc:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
powerpc:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
powerpc:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
powerpc:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
powerpc:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
sparc64:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
sparc64:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
sparc64:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
sparc64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
sparc64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
sparc64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 7.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 7.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 7.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 7.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 7.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 7.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 7.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 7.1)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 8.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py27-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py36-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py37-acoustid-1.1.7.tgz(NetBSD 9.0)
x86_64:py38-acoustid-1.1.7.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]